> ## Documentation Index
> Fetch the complete documentation index at: https://developer.setle.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Estate List

> Returns a list of all active estates for given estate managing context.



## OpenAPI

````yaml GET /v1/estate/list
openapi: 3.0.0
info:
  title: Setle API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.setle.app
security: []
tags: []
paths:
  /v1/estate/list:
    get:
      tags:
        - Estate
      description: Returns a list of all active estates for given estate managing context.
      operationId: PublicEstateApiController_list
      parameters: []
      responses:
        '200':
          description: Successfully processed request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEstatesAggregationOutputDto'
        '400':
          description: Request failed because of input validation errors.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultHttpException'
        '500':
          description: Request failed because of internal server error(s).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultHttpException'
      security:
        - bearer: []
components:
  schemas:
    GetEstatesAggregationOutputDto:
      type: object
      properties:
        estates:
          type: array
          items:
            $ref: '#/components/schemas/EstateWithReferralLinkDto'
      required:
        - estates
    DefaultHttpException:
      type: object
      properties:
        statusCode:
          type: number
          description: >-
            HTTP status code for the response. Can be anything within the 4XX
            and 5XX range.
          example: 400
        message:
          type: object
          description: >-
            Main error message. This will generally be a string or array of
            strings, but could also be a custom object or array of objects
            without predefined schema.
          example:
            - Name should not be empty.
            - Password must contain at least 1 uppercase character.
        error:
          type: string
          description: Short string representation of the status code.
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    EstateWithReferralLinkDto:
      type: object
      properties:
        estate:
          $ref: '#/components/schemas/EstateSummaryDto'
        referral_link:
          type: string
      required:
        - estate
        - referral_link
    EstateSummaryDto:
      type: object
      properties:
        metadata:
          type: object
          example:
            property_id: xxx
        address:
          $ref: '#/components/schemas/AddressDto'
        estate_provider_type:
          enum:
            - SKARABEE
            - SWEEPBRIGHT
            - ZABUN
            - OMNICASA
            - WHISE
            - LEGACY_DB
            - REALWORKS
            - EPC_DOCUMENT
            - QUICKSCAN
            - SUGGESTED_RENOVATION_TRAJECTORY_CALCULATION
          type: string
        external_id:
          type: string
        quality_label:
          enum:
            - A
            - B
            - C
            - D
          type: string
        estate_status:
          enum:
            - SOLD
            - FOR_SALE
            - ONLINE
            - OFFLINE
          type: string
        estate_type:
          enum:
            - HOUSE
            - APARTMENT
          type: string
        media:
          type: array
          items:
            $ref: '#/components/schemas/MediaItemDto'
        price:
          type: number
        year_built:
          type: number
        year_renovated:
          type: number
      required:
        - metadata
        - address
        - estate_provider_type
        - external_id
        - quality_label
        - estate_status
        - estate_type
        - media
        - price
        - year_built
        - year_renovated
    AddressDto:
      type: object
      properties:
        country:
          type: object
        house_number:
          type: string
        house_number_extra:
          type: string
        latitude:
          type: number
        longitude:
          type: number
        place:
          type: string
        region:
          type: object
        street:
          type: string
        zip_code:
          type: string
      required:
        - country
        - house_number
        - house_number_extra
        - latitude
        - longitude
        - place
        - region
        - street
        - zip_code
    MediaItemDto:
      type: object
      properties:
        filename:
          type: string
        mime_type:
          type: string
        url:
          type: string
        position:
          type: number
      required:
        - filename
        - mime_type
        - url
        - position
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````